<?php
namespace OrganizationsManagement\Service;
use \Doctrine\ORM\EntityManager;
use OrganizationsManagement\Util\Utilities;
use Teknisa\Model\Geral\Repositories as GeralRepositories;

class Estado {

    private $entityManager;
    /** @var GeralRepositories\Estado $repositoryEstado */
    private $repositoryEstado;

    public function __construct(EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->repositoryEstado = $this->entityManager->getRepository(Utilities::GERAL_ENTITY_DIR . 'Estado');
    }

    public function obtemPorIdPais($idPais, $filters){
        $idsPais = '';
        if(is_array($idPais)){
            foreach($idPais as $key => $id){
                if($key == 0){
                    $idsPais = "'". $id . "'";
                }else{
                    $idsPais.= ", '"  . $id . "'";
                }
                
            }
            return $this->repositoryEstado->obtemPorIdsPaises($idsPais, Utilities::createQueryFiltered($filters));
        }else{
            $idsPais = $idPais;
            return $this->repositoryEstado->obtemPorIdPais($idsPais, Utilities::createQueryFiltered($filters));
        }
        
    }
}